Node('triton.psi.ch',
     'triton test',
)

Mod('T_mix',
    'frappy_psi.triton.TemperatureLoop',
    'mix. chamber temperature',
    meaning=['temperature', 30],
    slot='T5',
    output_module='htr_mix',
    io='triton',
)

Mod('T_sorb',
    'frappy_psi.triton.TemperatureSensor',
    'sorb temperature',
    slot='T1',
    io='triton',
)

Mod('T_still',
    'frappy_psi.triton.TemperatureSensor',
    'still temperature',
    slot='T4',
    io='triton',
)

Mod('T_hx',
    'frappy_psi.triton.TemperatureSensor',
    'heat exchanger T',
    slot='T2',
    io='triton',
)

Mod('T_jtstage',
    'frappy_psi.triton.TemperatureSensor',
    'jt stage temperature',
    slot='T3',
    io='triton',
)

Mod('htr_mix',
    'frappy_psi.triton.HeaterOutputWithRange',
    'mix. chamber heater',
    slot='H1,T5',
    io='triton',
)

Mod('htr_sorb',
    'frappy_psi.triton.HeaterOutput',
    'sorb heater',
    slot='H3',
    io='triton',
)

Mod('htr_still',
    'frappy_psi.triton.HeaterOutput',
    'still heater',
    slot='H2',
    io='triton',
)

Mod('dil_action',
    'frappy_psi.triton.Action',
    'higher level scripts',
    io='triton',
    slot='DR',
)

Mod('p_dump',
    'frappy_psi.mercury.PressureSensor',
    'dump pressure',
    slot='P1',
    io='triton',
)

Mod('p_cond',
    'frappy_psi.mercury.PressureSensor',
    'condenser pressure',
    slot='P2',
    io='triton',
)

Mod('p_still',
    'frappy_psi.mercury.PressureSensor',
    'still pressure',
    slot='P3',
    io='triton',
)

Mod('p_back',
    'frappy_psi.mercury.PressureSensor',
    'pressure on the back side of the pump',
    slot='P5',
    io='triton',
)

Mod('V1',
    'frappy_psi.triton.Valve',
    'valve V1',
    slot='V1',
    io='triton',
)

Mod('V2',
    'frappy_psi.triton.Valve',
    'valve V2',
    slot='V2',
    io='triton',
)

Mod('V4',
    'frappy_psi.triton.Valve',
    'valve V4',
    slot='V4',
    io='triton',
)

Mod('V5',
    'frappy_psi.triton.Valve',
    'valve V5',
    slot='V5',
    io='triton',
)

Mod('V9',
    'frappy_psi.triton.Valve',
    'valve V9',
    slot='V9',
    io='triton',
)

Mod('fp',
    'frappy_psi.triton.Pump',
    'still fore pump',
    slot='FP',
    io='triton',
)

Mod('compressor',
    'frappy_psi.triton.Pump',
    'compressor',
    slot='COMP',
    io='triton',
)

Mod('triton',
    'frappy_psi.mercury.IO',
    'connection to triton software',
    uri='tcp://flamedil:33576',
    timeout=9.0,
)
